/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Juha Ristolainen <juha.ristolainen@codemancers.fi>
 *              Nick Leppänen Larsson <frals@frals.se>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import "../common/Constants.js" as Constants

Rectangle {
    id: clockRoot

    property color glowColor: Constants.analogClockFaceGlowColor

    width: units.gu(34); height: units.gu(34)
    radius: width / 2
    antialiasing: true    

    Rectangle {
        id: innerCircle

        z: 1
        width: units.gu(2); height: units.gu(2)
        radius: width / 2
        anchors.centerIn: parent
        color: Constants.pitchBlack        
        antialiasing: true
    }

    AnalogGlowEffect {
        id: glowEffect

        z: parent.z - 1
        fillRectangle: parent                
    }
}
