import QtQuick 2.0
import Ubuntu.Components 0.1
import "../common"
import "../common/Constants.js" as Constants

Row {
    id: topTimerRow

    // Properties to set the timer labels and input focus (using flags)
    property alias hoursLabel: hourslabelTimer.text;
    property alias minutesLabel: minuteslabelTimer.text;
    property alias secondsLabel: secondslabelTimer.text;
    property alias hoursLabelFlag: hourslabelTimer.flag;
    property alias minutesLabelFlag: minuteslabelTimer.flag;
    property alias secondsLabelFlag: secondslabelTimer.flag;

    // Properties to retrieve the status of the timer and the timer page
    property bool timerOn;    
    
    spacing: units.gu(0.3)
    anchors {
        horizontalCenter: parent.horizontalCenter
        top: parent.top
        topMargin: units.gu(6)
    }
    
    Label {
        id: hourslabelTimer
        
        // flag boolean variable to determine if the timer hand adjusts the hours or not
        property bool flag: false
                
        fontSize: "x-large"
        color: flag && !timerOn ? Constants.ubuntuOrange : Constants.darkGrey
        visible: hours > 0 ? true : false
        
        MouseArea {
            anchors.fill: parent
            enabled: !timerOn && topTimerRow.state != "DISABLED"
            onClicked: topTimerRow.state = "FOCUS-HOR"
        }
    }
    
    Label {
        id: colonTimer1
        
        color: Constants.darkGrey
        visible: hourslabelTimer.visible ? true : false
        fontSize: "x-large"
        text: ":"
    }
    
    Label {
        id: minuteslabelTimer
        
        // flag boolean variable to determine if the timer hand adjusts the minutes or not
        property bool flag: false
                
        fontSize: "x-large"
        color: flag && !timerOn ? Constants.ubuntuOrange : Constants.darkGrey
        
        MouseArea {
            anchors.fill: parent
            enabled: !timerOn && topTimerRow.state != "DISABLED"
            onClicked: topTimerRow.state = "FOCUS-MIN"
        }
    }
    
    Label {
        id: colonTimer2
        
        color: Constants.darkGrey
        fontSize: "x-large"
        
        text: ":"
    }
    
    Label {
        id: secondslabelTimer
        
        // flag boolean variable to determine if the timer hand adjusts the minutes or not
        property bool flag: true
                
        fontSize: "x-large"
        color: flag && !timerOn ? Constants.ubuntuOrange : Constants.darkGrey
        
        MouseArea {
            anchors.fill: parent
            enabled: !timerOn && topTimerRow.state != "DISABLED"
            onClicked: topTimerRow.state = "FOCUS-SEC"
        }
    }
}
