/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Alessandro Pozzi <signor.hyde@gmail.com>
 *              Nekhelesh Ramananthan <krnekhelesh@gmail.com>
 */

Qt.include("../common/ClockUtils.js")

// Function to return total seconds.
function totalSeconds ( hou, min, sec ) {
    return( (hou * 60 * 60) + (min * 60) + sec );
}

// Function to calculate the hours, minutes and seconds from the total time
function getstringTimer ( seconds ) {
    var time = seconds
    var sec = time % 60
    time = Math.floor(time / 60)
    var min = time % 60
    var hor = Math.floor(time / 60)
    return Utils.hmsToString(hor, min, sec);
}

// Call Workerscript to populate the preset list
function populatePreset () {
    var msg = {'action': 'appendPreset', 'model': listModel, 'array': storageTimer.getTimerValue()};
    worker.sendMessage(msg);
    timerPage.lastindex = -1;
}

// Read preset from internal databese and populate the preset list
WorkerScript.onMessage = function (msg) {
    if (msg.action == 'appendPreset') {
        var i = 0;
        var timerarray = new Array();
        msg.model.clear();
        timerarray = msg.array;
        for (i = 0; i < timerarray.length; i++) {
            var data = { 'nametimer': timerarray[i][0], 'secondstimer': timerarray[i][1], 'select': false };
            msg.model.append(data);
            msg.model.sync();   // updates the changes to the list
        }
    }
}
